### Enumeration

# Snapd SnapStatus

since: 1.0

#### Declaration

    enum Snapd.SnapStatus

#### Description [src]

The current state of a snap.

Available since: 1.0

#### Members

`SNAPD_SNAP_STATUS_UNKNOWN`

  The snap state is unknown.

  - Value: `0`
  - Available since: 1.0
`SNAPD_SNAP_STATUS_AVAILABLE`

  The snap is available for installation.

  - Value: `1`
  - Available since: 1.0
`SNAPD_SNAP_STATUS_PRICED`

  The snap is available for purchase.

  - Value: `2`
  - Available since: 1.0
`SNAPD_SNAP_STATUS_INSTALLED`

  The snap is installed but not active.

  - Value: `3`
  - Available since: 1.0
`SNAPD_SNAP_STATUS_ACTIVE`

  The snap is installed and active.

  - Value: `4`
  - Available since: 1.0